//   Geometry handling class 
//        R. Ansari , G. Le Meur   2000
// DAPNIA/SPP (Saclay) / CEA    LAL - IN2P3/CNRS  (Orsay)

#ifndef GEOMETRY_SEEN
#define GEOMETRY_SEEN


#include "unitvector.h"

namespace SOPHYA {  

/*!
  \class SOPHYA::Geometry
  \ingroup Samba
  Base class (pure virtual) for geometry handling and coordinate
  system transforms
*/

class Geometry
{
public: 
Geometry() {;}
virtual ~Geometry() {;}
virtual UnitVector  ConvToSphere(double psi) const = 0;
};

} // namespace SOPHYA

#endif
